#
# Conditional build:
%bcond_with	tests	# perform "make test" (needs working syslog)
#
Summary:	PlRPC perl module
Summary(pl.UTF-8):	Moduł Perla PlRPC
Name:		perl-PlRPC
Version:	0.2020
Release:	1%{?tld}
# same as perl
License:	GPL v1 or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/RPC/PlRPC-%{version}.tar.gz
# Source0-md5:	5361e137e56d037c5e796926ecb5300b
URL:		https://metacpan.org/release/PlRPC
%if %{with tests}
BuildRequires:	perl(Compress::Zlib)
BuildRequires:	perl-Net-Daemon
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-perldoc
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PlRPC (Perl RPC) is a package for implementing servers and clients
that are written in Perl entirely.

%description -l pl.UTF-8
PlRPC (Perl RPC) to pakiet służący do tworzenia serwerów i klientów
wyłącznie w Perlu.

%prep
%setup -q -n PlRPC

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Bundle/PlRPC.pm \
	$RPM_BUILD_ROOT%{_mandir}/man3/Bundle::PlRPC.3pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/RPC/PlClient.pm
%{perl_vendorlib}/RPC/PlServer.pm
%{perl_vendorlib}/RPC/PlServer
%{perl_vendorlib}/RPC/PlClient
%{_mandir}/man3/RPC::PlClient.3pm*
%{_mandir}/man3/RPC::PlServer.3pm*
%changelog
* Thu Apr 25 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-PlRPC.git;a=log;h=master

* Wed Apr 22 2020 Jakub Bogusz <qboosh@pld-linux.org> ff80145
- updated URL and macros, check-files cleanup

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 51e5f1d
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Nov 04 2009 Szymon Siwek <sls@pld-linux.org> e87ace7
- fixed BR

* Tue Oct 14 2008 Szymon Siwek <sls@pld-linux.org> e89f0f8
- BR: perl-perldoc

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bcb1f34
- up to 0.2020

* Sun Jun 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 1c223c6
- generic URL

* Sun Jun 03 2007 Maciej Pijanka <agaran@pld-linux.org> 1923263
- up to 0.2019, rel 1, builds here,

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c03e2ea
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 65f45e5
- converted to UTF-8

* Tue Apr 26 2005 Jakub Bogusz <qboosh@pld-linux.org> c7b86c2
- cosmetic

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> ca89521
- spelling fixes, uppercases, etc.

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 8d8af96
- added missing PlClient/ dir (pointed out by jack)
- release 2

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> b6f6166
- updated to 0.2018

* Wed Jun 02 2004 ankry <ankry@pld-linux.org> 162c2be
- removed unnecessary R/BR, rel.++

* Sun May 23 2004 Jakub Bogusz <qboosh@pld-linux.org> fc6c933
- disable tests (need working syslog); release 3

* Fri May 07 2004 ankry <ankry@pld-linux.org> e4746fc
- rel. 2

* Fri Apr 23 2004 Jakub Bogusz <qboosh@pld-linux.org> 3ceb383
- unifications

* Thu Apr 22 2004 Maciej Pijanka <agaran@pld-linux.org> 4c6cdd3
- added make test (bcond without test)
- updated license

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 8201372
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> fa645f0
- mass commit: cosmetics (removed trailing white spaces)

